Name: grub
Version: 0.90
Release: 11
Summary: GRUB - the Grand Unified Boot Loader.
Group: System Environment/Base
License: GPL
URL: http://www.gnu.org/software/%{name}/
Source0: ftp://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: splash.xpm.gz
Patch0: grub-0.5.97-vga16.patch
Patch1: grub-0.5.96.1-special-raid-devices.patch
Patch2: grub-0.5.96.1-dont-give-mem-to-kernel.patch
Patch3: grub-0.90-configfile.patch
Patch4: grub-0.90-vga16-keypressclear.patch
Patch5: grub-0.90-passwordprompt.patch
Patch6: grub-0.90-install.in.patch
Patch7: grub-0.90-installcopyonly.patch
Patch8: grub-0.90-ensureserialsetup.patch
Patch9: grub-0.90-staticcurses.patch
Patch10: grub-0.90-md5cryptshell.patch
Patch11: grub-0.90-installmktemp.patch
Patch12: grub-0.90-symlinkmenulst.patch
ExclusiveArch: i386
BuildRequires: binutils >= 2.9.1.0.23
PreReq: /sbin/install-info
Requires: mktemp
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GRUB (Grand Unified Boot Loader) is an experimental boot loader
capable of booting into most free operating systems - Linux, FreeBSD,
NetBSD, GNU Mach, and others as well as most commercial operating
systems.

%prep
%setup -q 
%patch0 -p1 -b .vga16
%patch1 -p1 -b .raid
%patch2 -p1 -b .mem
%patch3 -p1 -b .config
%patch4 -p1 -b .clearonkey
%patch5 -p1 -b .password
%patch6 -p1 -b .install
%patch7 -p1 -b .copyonly
%patch8 -p1 -b .serial
%patch9 -p1 -b .static
%patch10 -p1 -b .md5crypt
%patch11 -p1 -b .mktemp
%patch12 -p1 -b .menulst


%build
autoconf
CFLAGS="-ggdb" ; export CFLAGS
%configure --sbindir=/sbin
make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall sbindir=${RPM_BUILD_ROOT}/sbin
mkdir -p ${RPM_BUILD_ROOT}/boot/grub
cp %{SOURCE1} ${RPM_BUILD_ROOT}/boot/grub

%clean
rm -fr $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
fi

%preun
if [ "$1" = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO docs/menu.lst
/boot/grub
/sbin/grub
/sbin/grub-install
/sbin/grub-md5-crypt
%{_bindir}/mbchk
%{_infodir}/grub*
%{_mandir}/man*/*
%{_datadir}/grub

%changelog
* Wed Sep  5 2001 Jeremy Katz <katzj@redhat.com>
- grub-install: if /boot/grub/grub.conf doesn't exist but /boot/grub/menu.lst 
  does, create a symlink

* Fri Aug 24 2001 Jeremy Katz <katzj@redhat.com>
- pull in patch from upstream CVS to fix md5crypt in grub shell (#52220)
- use mktemp in grub-install to avoid tmp races

* Fri Aug  3 2001 Jeremy Katz <katzj@redhat.com>
- link curses statically (#49519)

* Thu Aug  2 2001 Jeremy Katz <katzj@redhat.com>
- fix segfault with using the serial device before initialization (#50219)

* Thu Jul 19 2001 Jeremy Katz <katzj@redhat.com>
- add --copy-only flag to grub-install

* Thu Jul 19 2001 Jeremy Katz <katzj@redhat.com>
- copy files in grub-install prior to device probe

* Thu Jul 19 2001 Jeremy Katz <katzj@redhat.com>
- original images don't go in /boot and then grub-install does the right
  thing

* Thu Jul 19 2001 Jeremy Katz <katzj@redhat.com>
- fix the previous patch
- put the password prompt in the proper location

* Thu Jul 19 2001 Jeremy Katz <katzj@redhat.com>
- reset the screen when the countdown is cancelled so text will disappear 
  in vga16 mode

* Mon Jul 16 2001 Jeremy Katz <katzj@redhat.com>
- change configfile defaults to grub.conf

* Sun Jul 15 2001 Jeremy Katz <katzj@redhat.com>
- updated to grub 0.90 final

* Fri Jul  6 2001 Matt Wilson <msw@redhat.com>
- modifed splash screen to a nice shade of blue

* Tue Jul  3 2001 Matt Wilson <msw@redhat.com>
- added a first cut at a splash screen

* Sun Jul  1 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix datadir mismatch between build and install phases

* Mon Jun 25 2001 Jeremy Katz <katzj@redhat.com>
- update to current CVS 
- forward port VGA16 patch from Paulo Csar Pereira de 
  Andrade <pcpa@conectiva.com.br>
- add patch for cciss, ida, and rd raid controllers
- don't pass mem= to the kernel

* Wed May 23 2001 Erik Troan <ewt@redhat.com>
- initial build for Red Hat
